﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace CompanyBussiness
{
    interface IGallery
    {
        List<Album> GetAlbum(int languagesID, Boolean albumStatus, int StartRow);
        Album GetAlbumByID(int albumID);
        List<Album> GetAlbumByName(string albumName, int languagesID, Boolean albumStatus);
        List<Album> GetAlbumByDate(int languagesID, DateTime albumDateTime, Boolean albumStatus, int StartRow);
        List<Album> GetAlbumByStatus(int languagesID, Boolean albumStatus,int StartRow);

        List<Picture> GetPictureByAlbum(int albumID, Boolean pictureStatus, int StartRow);
        Picture GetPictureByID(int pictureID);
        List<Picture> GetPictureByName(string pictureName, int languagesID, Boolean pictureStatus, int StartRow);
        List<Picture> GetPictureByStatus(int languagesID, Boolean pictureStatus, int StartRow);

        void CreateAlbum(string albumName, DateTime albumDateTime, string albumDescript, string albumAuthor, string albumImg, Boolean albumStatus, int languagesID);
        void UpdateAlbum(int albumID, string albumName, DateTime albumDateTime, string albumDescript, string albumAuthor, string albumImg, Boolean albumStatus, int languagesID);
        void DeleteAlbum(int albumID);

        void CreatePicture(string pictureName, string pictureIntro, string pictureDes, int albumID, Boolean pictureStatus);
        void UpdatePicture(int pictureID, string pictureName, string pictureIntro, string pictureDes, int albumID, Boolean pictureStatus);
        void DeletePicture(int pictureID);
    }
}
