﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;
using CompanyBussiness;

namespace Website
{
    public partial class Products : System.Web.UI.Page
    {
        System.Web.UI.Control ct;
        HtmlGenericControl genControl;
        string modulCode = "MNEWS";
        NewsManagement newsMana = new NewsManagement();
        ProductManagement proMana = new ProductManagement();
        LanguagesManagement languageMana = new LanguagesManagement();
        CompanyBussiness.Language language;

        protected void Page_Load(object sender, EventArgs e)
        {
            if (Request.Cookies[CONST.COOKIES_LANGUAGE] != null)
            {

                language = languageMana.GetLanguageByID(int.Parse(Request.Cookies[CONST.COOKIES_LANGUAGE][CONST.COOKIES_LANGUAGE_ID].ToString()));
            }
            else
            {
                Response.Redirect("~/Hem.html");
            }

            string re = Request.Url.ToString();

            if (Request[CONST.QUERYSTRING_PRODUCT] != null)
            {
                PlaceHolderCenter.Controls.Clear();
                genControl = new HtmlGenericControl("div");
                ct = Page.LoadControl("customer/Control/cQuickMove.ascx");
                genControl.Controls.Add(ct);
                PlaceHolderCenter.Controls.Add(genControl);             
                ct = Page.LoadControl("customer/Control/cDetailProduct.ascx");
                genControl.Controls.Add(ct);
                PlaceHolderCenter.Controls.Add(genControl);

                PlaceHolderMenuMain.Controls.Clear();
                genControl = new HtmlGenericControl("div");
                ct = Page.LoadControl("customer/Control/cMenuMain.ascx");
                genControl.Controls.Add(ct);
                PlaceHolderMenuMain.Controls.Add(genControl);

                PlaceHolderMenuLeft.Controls.Clear();
                genControl = new HtmlGenericControl("div");
                ct = Page.LoadControl("customer/Control/cMenuCategory.ascx");
                genControl.Controls.Add(ct);
                PlaceHolderMenuLeft.Controls.Add(genControl);
            }
            else if (Request[CONST.QUERYSTRING_NAME_PRODUCT] !=null)
            {
                PlaceHolderCenter.Controls.Clear();
                genControl = new HtmlGenericControl("div");
                ct = Page.LoadControl("customer/Control/cQuickMove.ascx");
                genControl.Controls.Add(ct);
                PlaceHolderCenter.Controls.Add(genControl);
                ct = Page.LoadControl("customer/Control/cListProductByCategory.ascx");
                genControl.Controls.Add(ct);
                PlaceHolderCenter.Controls.Add(genControl);

                PlaceHolderMenuMain.Controls.Clear();
                genControl = new HtmlGenericControl("div");
                ct = Page.LoadControl("customer/Control/cMenuMain.ascx");
                genControl.Controls.Add(ct);
                PlaceHolderMenuMain.Controls.Add(genControl);

                PlaceHolderMenuLeft.Controls.Clear();
                genControl = new HtmlGenericControl("div");
                ct = Page.LoadControl("customer/Control/cMenuCategory.ascx");
                genControl.Controls.Add(ct);
                PlaceHolderMenuLeft.Controls.Add(genControl);
            }
            else
            {
                int typeid=0;

                if(Request[CONST.QUERYSTRING_TYPE_PRODUCT]!=null)
                    typeid = int.Parse(Request[CONST.QUERYSTRING_TYPE_PRODUCT]);

                if (typeid > 0)
                {
                    if (proMana.GetTypeProductByID(typeid).ParentTypeProductID != null)
                    {
                        PlaceHolderCenter.Controls.Clear();
                        genControl = new HtmlGenericControl("div");
                        ct = Page.LoadControl("customer/Control/cQuickMove.ascx");
                        genControl.Controls.Add(ct);
                        PlaceHolderCenter.Controls.Add(genControl);
                        ct = Page.LoadControl("customer/Control/cListProductByCategory.ascx");
                        genControl.Controls.Add(ct);
                        PlaceHolderCenter.Controls.Add(genControl);

                        PlaceHolderMenuMain.Controls.Clear();
                        genControl = new HtmlGenericControl("div");
                        ct = Page.LoadControl("customer/Control/cMenuMain.ascx");
                        genControl.Controls.Add(ct);
                        PlaceHolderMenuMain.Controls.Add(genControl);

                        PlaceHolderMenuLeft.Controls.Clear();
                        genControl = new HtmlGenericControl("div");
                        ct = Page.LoadControl("customer/Control/cMenuCategory.ascx");
                        genControl.Controls.Add(ct);
                        PlaceHolderMenuLeft.Controls.Add(genControl);
                    }
                    else
                    {
                        PlaceHolderCenter.Controls.Clear();
                        genControl = new HtmlGenericControl("div");
                        ct = Page.LoadControl("customer/Control/cQuickMove.ascx");
                        genControl.Controls.Add(ct);
                        PlaceHolderCenter.Controls.Add(genControl);
                        ct = Page.LoadControl("customer/Control/cListChildCategoryProduct.ascx");
                        genControl.Controls.Add(ct);
                        PlaceHolderCenter.Controls.Add(genControl);

                        PlaceHolderMenuMain.Controls.Clear();
                        genControl = new HtmlGenericControl("div");
                        ct = Page.LoadControl("customer/Control/cMenuMain.ascx");
                        genControl.Controls.Add(ct);
                        PlaceHolderMenuMain.Controls.Add(genControl);

                        PlaceHolderMenuLeft.Controls.Clear();
                        genControl = new HtmlGenericControl("div");
                        ct = Page.LoadControl("customer/Control/cMenuCategory.ascx");
                        genControl.Controls.Add(ct);
                        PlaceHolderMenuLeft.Controls.Add(genControl);
                    }
                }
                else
                { 
                    
                }

                

                
            }
            
        }
    }
}