﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="cAccountManagement.ascx.cs" Inherits="Website.admin.Control.cAccountManagement" %>
<%@ Register assembly="BasicFrame.WebControls.BasicDatePicker" namespace="BasicFrame.WebControls" tagprefix="BDP" %>
<div class="content-box">
    <div class="content-box-header">
					
		<h3>Quản trị người dùng</h3>
		
		<div class="clear"></div>
		
	</div>
	<div class="content-box-content">

    <h3><asp:Label ID="lbTypeAction" runat="server" ></asp:Label> </h3>
        <div id="conditionsLeft" runat="server" >
            <table width="100%">
                <tr>
                    <td>
                        <asp:Label ID="lbUserName" runat="server" Text="Tên đăng nhập :"></asp:Label>
                    </td>
                    <td >
                        <asp:TextBox ID="txtUserName" CssClass="text-input" runat="server" Width="200px" MaxLength="150" ></asp:TextBox><br/>
                    </td>
                </tr>
                <tr>
                    <td>
                        <asp:Label ID="lbStatus" runat="server" Text="Trạng Thái :"></asp:Label>
                    </td>
                    <td>
                        <asp:DropDownList ID="dropStatus" runat="server" Width="160px" >
                            <asp:ListItem Text="Không hoạt động" Value="0"></asp:ListItem>
                            <asp:ListItem Text="Hoạt động" Value="1"></asp:ListItem>
                        </asp:DropDownList>
                    </td>
                </tr>
           </table>
           <table width="100%" id="tableNews" runat="server">
                <tr>
                    <td colspan="2">
                        <asp:Label ID="lbDateCreate" runat="server" Text="Ngày đăng ký :"></asp:Label>
                    </td>
                </tr>
                <tr>
                    <td>
                        <asp:Label ID="lbSearchFromDate"  runat="server" Text="Từ :" ></asp:Label>
                    </td>
                    <td>
                        <asp:DropDownList runat="server" ID="ddlFromHour">
                        </asp:DropDownList>
                        &nbsp;h
                        <asp:DropDownList runat="server" ID="ddlFromMinute">
                        </asp:DropDownList>
                        &nbsp;p &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                        <BDP:BDPLite ID="bdFromDate" runat="server" DateFormat="d">
                        </BDP:BDPLite>
                    </td>
                    
                </tr>
                <tr>
                    <td>
                        <asp:Label ID="lbSearchToDate" runat="server" Text="Tới :" ></asp:Label>
                    </td>
                    <td>
                        <asp:DropDownList runat="server" ID="ddlToHour">
                        </asp:DropDownList>
                        &nbsp;h
                        <asp:DropDownList runat="server" ID="ddlToMinute">
                        </asp:DropDownList>
                        &nbsp;p &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                        <BDP:BDPLite ID="bdToDate" runat="server" DateFormat="d">
                        </BDP:BDPLite>
                    </td>
                </tr>
            </table>
        </div>
        
    <div id="conditionsRight" runat="server"> 
        <asp:Button ID="btnCreateNew" runat="server" Text="Tạo mới người dùng" 
            CssClass="button" onclick="btnCreateNew_Click" />
        <asp:Button ID="btnSearch" runat="server" Text="Lọc" CssClass="button" onclick="btnSearch_Click" />          
        
    </div>
    <div class="clear"></div>

    
        <div style="clear:both;height:15px"></div>
        <div class="left quickview" style="width:100%">
             <div class="notification success png_bg" id="success" runat="server" style="height:40px">
                <a href="#" class="close"><img src="images/cross_grey_small.png" title="Close this notification" alt="close" /></a>
                <div>		        
	                <asp:Label ID="lbSuccess" runat="server" ></asp:Label>
                </div>
            </div>

            <div class="notification error png_bg" id="fail" runat="server" style="height:40px">
                <a href="#" class="close"><img src="images/cross_grey_small.png" title="Close this notification" alt="close" /></a>
                <div>
	                <asp:Label ID="lbError" runat="server" ></asp:Label>
                </div>
            </div>
            <asp:GridView ID="GridViewList" runat="server" AutoGenerateColumns="False" 
               DataKeyNames="InternalID" onrowdatabound="GridViewList_RowDataBound">
                <RowStyle HorizontalAlign="Center" />
                <Columns>
                    <asp:TemplateField HeaderText="Stt">
                        <ItemTemplate>
							<asp:Literal ID="litIndex" runat="server" Text='<%# (CurPage - 1) * GetRowinPage() + Container.DataItemIndex + 1 %>'></asp:Literal>
                        </ItemTemplate>
                        <ItemStyle HorizontalAlign="Center" Width="3%" />
                    </asp:TemplateField>
                    <asp:TemplateField HeaderText="Tên đăng nhập">
                        <ItemTemplate>
                            <asp:Label ID="lbUserName" runat="server" Text='<%# Eval("UserName") %>'></asp:Label>
                        </ItemTemplate>
                    </asp:TemplateField>
                    <asp:TemplateField HeaderText="Email">
                        <ItemTemplate>
                            <asp:Label ID="lbEmail" runat="server" Text='<%# Eval("Email") %>'></asp:Label>
                        </ItemTemplate>
                    </asp:TemplateField>
                    <asp:TemplateField HeaderText="Ngày Đăng ký">
                        <ItemTemplate>
                            <asp:Label ID="lbDateCreate" runat="server" Text='<%# Eval("DateCreate","{0:dd/MM/yyyy}") %>'></asp:Label>
                        </ItemTemplate>
                    </asp:TemplateField>
                    <asp:TemplateField HeaderText="Ngày kích hoạt">
                        <ItemTemplate>
                            <asp:Label ID="lbDateUpdate" runat="server" ></asp:Label>
                        </ItemTemplate>
                    </asp:TemplateField>
                    <asp:TemplateField HeaderText="Trạng thái">
                        <ItemTemplate>
                            <asp:LinkButton ID="btnActive" runat="server" OnCommand="btnActive_Command" CommandArgument='<%#Eval("InternalID") %>' CommandName="Active"  OnClientClick="return confirm('Kích hoạt cho tài khoản này ?');" ></asp:LinkButton>
                        </ItemTemplate>
                    </asp:TemplateField>
                    <asp:TemplateField HeaderText="Sửa">
                        <ItemTemplate>
                            <asp:LinkButton ID="btnUpdate" runat="server" OnCommand="btnUpdate_Command" CommandArgument='<%#Eval("AccountID") %>' CommandName="Update" Text="Sửa"  ></asp:LinkButton>
                        </ItemTemplate>
                    </asp:TemplateField>
                    <asp:TemplateField HeaderText="Phân quyền">
                        <ItemTemplate>
                            <asp:LinkButton ID="btnPermission" runat="server" OnCommand="btnPermission_Command" CommandArgument='<%#Eval("AccountID") %>' CommandName="Permission" Text="Phân quyền"  ></asp:LinkButton>
                        </ItemTemplate>
                    </asp:TemplateField>
                     
                </Columns>
            </asp:GridView>
            <asp:Panel ID="pnPagination" runat="server">
            <div class="pagination" id="divpagination" runat="server">
		        Trang : <asp:DropDownList ID="dropChoicePage" runat="server" AutoPostBack="true" 
                    onselectedindexchanged="dropChoicePage_SelectedIndexChanged"  ></asp:DropDownList> &#8201;
                Bản ghi/ Trang :<asp:DropDownList ID="dropRows" runat="server" 
                    AutoPostBack="true" onselectedindexchanged="dropRows_SelectedIndexChanged">
                        <asp:ListItem Value="10" Text="10"></asp:ListItem>
                        <asp:ListItem Value="20" Text="20"></asp:ListItem>
                        <asp:ListItem Value="30" Text="30"></asp:ListItem>
                        <asp:ListItem Value="40" Text="40"></asp:ListItem>
                    </asp:DropDownList>    
                <asp:HyperLink ID="lnkFirst" runat="server" Text="Đầu"></asp:HyperLink>
		        <asp:HyperLink id="lnkPrev" runat="server" Text="&laquo;"></asp:HyperLink>
		        <asp:HyperLink id="numBefore" runat="server"></asp:HyperLink>               
                <asp:HyperLink id="numCurrent" runat="server"></asp:HyperLink>               
                <asp:HyperLink id="numAfter" runat="server"></asp:HyperLink>               
                <asp:HyperLink id="lnkNext" runat="server" Text="&raquo;"></asp:HyperLink>
                <asp:HyperLink ID="lnkLast" runat="server" Text="Cuối"></asp:HyperLink>
                <br /><br />
             </div>
             </asp:Panel>
        </div>
</div>
</div>