﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="cCreateContact.ascx.cs" Inherits="Website.admin.Control.cCreateContact" %>


<div class="content-box">
    <div class="content-box-header">			
		<h3><asp:Label ID="lbTypeAction" runat="server" ></asp:Label></h3>
		<div class="clear"></div>	
	</div>
	<div class="content-box-content">
        <div class="notification success png_bg" id="success" runat="server" style="height:40px">
	        <a href="#" class="close"><img src="images/cross_grey_small.png" title="Close this notification" alt="close" /></a>
	        <div>		        
		        <asp:Label ID="lbSuccess" runat="server" ></asp:Label>
	        </div>
        </div>
        <div class="notification error png_bg" id="fail" runat="server" style="height:40px">
	        <a href="#" class="close"><img src="images/cross_grey_small.png" title="Close this notification" alt="close" /></a>
	        <div>
		        <asp:Label ID="lbError" runat="server" ></asp:Label>
	        </div>
        </div>
        <table width="100%">
            <tr>
                <td>
                    <asp:Label ID="lbRoom" runat="server" Text="Phòng ban *: " Font-Bold="true"></asp:Label>                    
                </td>
                <td colspan="3">
                    <asp:TextBox ID="txtRoom" runat="server" Width="300px" CssClass="text-input" MaxLength="150" ></asp:TextBox>  
                    <asp:RequiredFieldValidator ID="RequiredFieldValidator1" runat="server" 
                        ErrorMessage="Bạn chưa nhập Phòng ban" ControlToValidate="txtRoom"></asp:RequiredFieldValidator> 
                </td>                        
            </tr>
            <tr>
                <td>
                    <asp:Label ID="lbEmail" runat="server" Text="Email *: " Font-Bold="true"></asp:Label> 
                </td>
                <td>
                    <asp:TextBox ID="txtEmail" runat="server" Width="300px" CssClass="text-input" MaxLength="150" ></asp:TextBox> 
                    <asp:RequiredFieldValidator ID="RequiredFieldValidator2" runat="server" 
                        ControlToValidate="txtEmail" ErrorMessage="Bạn chưa nhập Email  "></asp:RequiredFieldValidator>
&nbsp;<asp:RegularExpressionValidator ID="RegularExpressionValidator1" runat="server" 
                        ControlToValidate="txtEmail" ErrorMessage="Địa chỉ Email không đúng định dạng" 
                        ValidationExpression="\w+([-+.']\w+)*@\w+([-.]\w+)*\.\w+([-.]\w+)*"></asp:RegularExpressionValidator>
                </td>
            </tr>
            <tr>
                <td colspan="2">
                    <asp:Button ID="btnSave" runat="server" Text="Lưu" onclick="btnSave_Click" />
                    <asp:Button ID="btnCancel" runat="server" Text="Hủy" 
                        onclick="btnCancel_Click" CausesValidation="False" />
                    <asp:Button ID="btnDelete" runat="server" Text="Xóa" 
                        onclick="btnDelete_Click" />
                </td>
            </tr>
        </table>
    </div>

</div>