﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="cCreateProduct.ascx.cs" Inherits="Website.admin.Control.cCreateProduct" %>
<%@ Register Assembly="BasicFrame.WebControls.BasicDatePicker" Namespace="BasicFrame.WebControls"
    TagPrefix="BDP" %>
<%@ Register Assembly="FredCK.FCKeditorV2" Namespace="FredCK.FCKeditorV2" TagPrefix="FCKeditorV2" %>
<%@ Register Assembly="skmControls2" Namespace="skmControls2" TagPrefix="cc1" %>

<script src="js/ajaxupload.js" type="text/javascript"></script>

<script src="js/jquery-1.4.2.min.js" type="text/javascript"></script>

<script type="text/javascript">	/*<![CDATA[*/
	$(document).ready(function() {
		/* Example 1 */
		var button = $('#button1'), interval;
		new AjaxUpload(button, {
		action: 'UploadImagesAjax.aspx',
			name: 'myfile',
			onSubmit: function(file, ext) {
				// change button text, when user selects file
			button.text('Uploading');
				// If you want to allow uploading only 1 file at time,
				// you can disable upload button
				this.disable();
				// Uploding -> Uploading. -> Uploading...
				interval = window.setInterval(function() {
					var text = button.text();
					if (text.length < 13) {
						button.text(text + '.');
					} else {
						button.text('Uploading');
					}
				}, 200);
			},
			onComplete: function(file, response) {
			button.text('Upload');
			    
				window.clearInterval(interval);
				// enable upload button
				this.enable();
				// add file to the list
				$('<li></li>').appendTo('#example1 .files').text(file);
			}
		});
	}); /*]]>*/</script>


    <script type="text/javascript">	/*<![CDATA[*/
	$(document).ready(function() {
		/* Example 1 */
		var button = $('#button2'), interval;
		new AjaxUpload(button, {
		action: 'UploadFile.aspx',
			name: 'myfile',
			onSubmit: function(file, ext) {
				// change button text, when user selects file
			button.text('Uploading');
				// If you want to allow uploading only 1 file at time,
				// you can disable upload button
				this.disable();
				// Uploding -> Uploading. -> Uploading...
				interval = window.setInterval(function() {
					var text = button.text();
					if (text.length < 13) {
						button.text(text + '.');
					} else {
						button.text('Uploading');
					}
				}, 200);
			},
			onComplete: function(file, response) {
			button.text('Upload');
			    
				window.clearInterval(interval);
				// enable upload button
				this.enable();
				// add file to the list
				$('<li></li>').appendTo('#example2 .files').text(file);
			}
		});
	}); /*]]>*/</script>

<div class="content-box">
    <div class="content-box-header">
					
		<h3><asp:Label ID="lbTypeAction" runat="server" ></asp:Label></h3>
		
		<div class="clear"></div>
		
	</div>
	<div class="content-box-content">
    
   
        <div class="left quickview" style="width:100%">
            <div class="notification success png_bg" id="success" runat="server" style="height:40px">
	            <a href="#" class="close"><img src="images/cross_grey_small.png" title="Close this notification" alt="close" /></a>
	            <div>		        
		            <asp:Label ID="lbSuccess" runat="server" ></asp:Label>
	            </div>
            </div>

            <div class="notification error png_bg" id="fail" runat="server" style="height:40px">
	            <a href="#" class="close"><img src="images/cross_grey_small.png" title="Close this notification" alt="close" /></a>
	            <div>
		            <asp:Label ID="lbError" runat="server" ></asp:Label>
	            </div>
            </div>
            <table id="tblCategory" runat="server" width="100%">
                <tr>
                    <td>
                        <asp:Label ID="lbProductName" runat="server" Text="Tên sản phẩm *: " Font-Bold="true"></asp:Label>                    
                    </td>
                    <td colspan="3">
                        <asp:TextBox ID="txtProductName" runat="server" Width="350px" CssClass="text-input" MaxLength="200" ></asp:TextBox>   
                    </td>                        
                </tr>
                <tr>
                    <td>
                        <asp:Label ID="lbImages" runat="server" Text="Ảnh sản phẩm :" Font-Bold="true"></asp:Label>
                    </td>  
                    <td colspan="3">
                        <asp:Image ID="imgProductImg" runat="server" Height="200px" BorderWidth="0" ImageUrl="~/images/noPicture.png" Visible="false" />
                        <%--<asp:FileUpload ID="imgUpload" runat="server" />--%>

                        <ul>
							<li id="example1" class="example">
								<div class="wrapper">
									<div id="button1" class="button" >Upload</div>
                                    <p>Uploaded files:</p>
									<ol class="files"></ol>										
								</div>
									
							</li>
						</ul>

                    </td>
                </tr>
                <tr>
                    <td>
                        <asp:Label ID="Label1" runat="server" Text="Hiển thị ảnh đại diện :" Font-Bold="true"></asp:Label>
                    </td>
                    <td >
                        <asp:CheckBox ID="checkImgStatus" runat="server" Text="" Font-Bold="true" Checked="true" />
                    </td>
                </tr>
                <tr>
                    <td>
                        <asp:Label ID="lbProductDes" runat="server" Text="Mô tả sản phẩm :" Font-Bold="true"></asp:Label><br />
                        <br />
                        <cc1:TextBoxCounter ID="TextBoxCounterIntro" runat="server" ForeColor="Red" TextBoxControlId="txtProductDes" />
                    </td>
                    <td colspan="3"> 
                        <asp:TextBox ID="txtProductDes" runat="server" TextMode="MultiLine" Width="90%" Height="300px" Font-Size="Small" Font-Names="tahoma" MaxLength="500"></asp:TextBox><br />                       
                                              
                    </td>
                    
                </tr>
                <%--<tr>
                    <td>
                        <asp:Label ID="lbProductAuthor" runat="server" Text="Nhà sản xuất :" Font-Bold="true"></asp:Label>
                    </td>
                    <td colspan="3">
                       <asp:TextBox ID="txtProductAuthor" CssClass="text-input" runat="server" MaxLength="50" Width="160px" ></asp:TextBox>
                    </td>
                </tr>
                <tr>
                    <td>
                        <asp:Label ID="lbProductSkin" runat="server" Text="Thể hiện sản phẩm :" Font-Bold="true"></asp:Label>
                    </td>
                    <td colspan="4">
                        <asp:TextBox ID="txtProductSkin" CssClass="text-input" runat="server" Width="160px" MaxLength="150" ></asp:TextBox>
                    </td>
                </tr>
                <tr>
                    <td>
                        <asp:Label ID="lbProductQuantity" runat="server" Text="Số lượng sản phẩm :" Font-Bold="true"></asp:Label>    
                    </td>
                    <td colspan="4">
                        <asp:TextBox ID="txtProductQuantity" CssClass="text-input" runat="server" Width="100px" MaxLength="150"></asp:TextBox>
                    </td>
                </tr>
                <tr>
                    <td>
                        <asp:Label ID="lbProductPrice" runat="server" Text="Giá sản phẩm :" Font-Bold="true"></asp:Label>    
                    </td>
                    <td colspan="4">
                        <asp:TextBox ID="txtProductPrice" CssClass="text-input"  runat="server" Width="160px"></asp:TextBox>VND
                    </td>
                </tr>
                <tr>
                    <td>
                        <asp:Label ID="lbProductDateIn" runat="server" Text="Ngày nhập hàng :" Font-Bold="true"></asp:Label>
                    </td>
                    <td colspan="4">
                        <BDP:BDPLite ID="bdProductDateIn" runat="server" DateFormat="d" Enabled="false">
                        </BDP:BDPLite>
                    </td>
                </tr>
                <tr>
                    <td>
                        <asp:Label ID="lbProductCode" runat="server" Text="Mã sản phẩm :" Font-Bold="true" Visible="false"></asp:Label>
                    </td>
                    <td colspan="4">
                        <asp:Label ID="lbProductCodes" runat="server" Font-Bold="true" Visible="false"></asp:Label>
                    </td>
                </tr>--%>
                 <tr>
                    <td>
                        <asp:Label ID="lbNewsStatus" runat="server" Text="Hiển thị sản phẩm :" Font-Bold="true"></asp:Label>
                    </td>
                    <td colspan="3">
                        <asp:CheckBox ID="checkStatus"  runat="server" Text="" Font-Bold="true" Checked="true" />
                    </td>
                </tr>
                <tr>
                    <td>
                        <asp:Label ID="lbParentCategory" runat="server" Text="Danh mục cha :" Font-Bold="true"></asp:Label>
                    </td>
                    <td >
                        <asp:DropDownList ID="dropParentCategory" runat="server" Width="180px" 
                            AutoPostBack="True" 
                            onselectedindexchanged="dropParentCategory_SelectedIndexChanged"></asp:DropDownList>
                    </td>
                    <td>
                        <asp:Label ID="lbCategory" runat="server" Text="Danh mục con:" Font-Bold="true"></asp:Label>
                    </td>
                    <td>
                        <asp:DropDownList ID="dropChildCategory" runat="server" Width="180px"></asp:DropDownList>
                    </td>
                </tr>
               
                <tr>      
                     <td colspan="4">
                        <asp:Label ID="lbFeatures" runat="server" Text="Thông số kỹ thuật :" Font-Bold="true"></asp:Label>
                    </td>
                </tr>
                <tr>
                    <td colspan="4">
                        <FCKeditorV2:FCKeditor ID="txtFeatures" runat="server" BasePath="~/fckeditor/" Width="100%" Height="350px">
                        </FCKeditorV2:FCKeditor>
                        
                    </td>
                </tr>
                 <tr>
                    <td>
                        <asp:Label ID="lbName" runat="server" Text="Tên thuộc tính của sản phẩm :" Font-Bold="true"></asp:Label>
                    </td>
                    <td colspan="3">
                        <asp:TextBox ID="txtTypePropertiesName" runat="server" MaxLength="150" Width="200px" CssClass="text-input"></asp:TextBox>
                    </td>
                </tr>
                <tr>
                    <td>
                        <asp:Label ID="lbDes" runat="server" Text="Mô tả cho thuộc tính này" Font-Bold="true"></asp:Label>
                    </td>
                    <td colspan="3">
                        <asp:TextBox ID="txtTypePropertiesDes" runat="server" Width="300px" Height="40px" CssClass="text-input" TextMode="MultiLine" MaxLength="300"></asp:TextBox>
                    </td>
                </tr>
               <tr id="rowFileupload">
                    <td>
                        <asp:Label ID="lbfileAttach" runat="server" Text="File đính kèm :" Font-Bold="true"></asp:Label>
                    </td>
                    <td colspan="4">
                        <asp:HyperLink ID="linkFileAttach" runat="server"></asp:HyperLink>
                        <ul>
							<li id="example2" class="example">
								<div class="wrapper">
									<div id="button2" class="button" >Upload</div>
                                    <p>Files đính kèm:</p>
									<ol class="files"></ol>										
								</div>								
							</li>
						</ul>
                    </td>
                </tr>


            </table>
        </div>
  
        <div class="clear"></div>
        <div id="Divconditions" runat="server" >   
            <asp:Button ID="btnSave" CssClass="button" runat="server" Text=" Cập nhật " 
                onclick="btnSave_Click"  />
            <asp:Button ID="btnProperty" CssClass="button" runat="server" 
                Text=" Cập nhật các thuộc tính cụ thể " onclick="btnProperty_Click" 
                />
            <asp:Button ID="btnCancel" CssClass="button" runat="server" Text=" Hủy " 
                onclick="btnCancel_Click"  />
            <asp:Button ID="btnDelete" CssClass="button" runat="server" Text=" Xóa bỏ "  
                OnClientClick="return confirm('Bạn Muốn Xóa sản phẩm này ?');" 
                onclick="btnDelete_Click" />
            
        </div>
	</div>  
</div>
