﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="cSetting.ascx.cs" Inherits="Website.admin.Control.cSetting" %>

<script src="js/ajaxupload.js" type="text/javascript"></script>

<script src="js/jquery-1.4.2.min.js" type="text/javascript"></script>

<script type="text/javascript">	/*<![CDATA[*/
	$(document).ready(function() {
		/* Example 1 */
		var button = $('#button1'), interval;
		new AjaxUpload(button, {
		action: 'UploadImagesAjax.aspx',
			name: 'myfile',
			onSubmit: function(file, ext) {
				// change button text, when user selects file
			button.text('Uploading');
				// If you want to allow uploading only 1 file at time,
				// you can disable upload button
				this.disable();
				// Uploding -> Uploading. -> Uploading...
				interval = window.setInterval(function() {
					var text = button.text();
					if (text.length < 13) {
						button.text(text + '.');
					} else {
						button.text('Uploading');
					}
				}, 200);
			},
			onComplete: function(file, response) {
			button.text('Upload');
			    
				window.clearInterval(interval);
				// enable upload button
				this.enable();
				// add file to the list
				$('<li></li>').appendTo('#example1 .files').text(file);
			}
		});
	}); /*]]>*/</script>

    <script type="text/javascript">	/*<![CDATA[*/
	$(document).ready(function() {
		/* Example 1 */
		var button = $('#button2'), interval;
		new AjaxUpload(button, {
		action: 'UploadImagesAjax.aspx',
			name: 'myfile',
			onSubmit: function(file, ext) {
				// change button text, when user selects file
			button.text('Uploading');
				// If you want to allow uploading only 1 file at time,
				// you can disable upload button
				this.disable();
				// Uploding -> Uploading. -> Uploading...
				interval = window.setInterval(function() {
					var text = button.text();
					if (text.length < 13) {
						button.text(text + '.');
					} else {
						button.text('Uploading');
					}
				}, 200);
			},
			onComplete: function(file, response) {
			button.text('Upload');
			    
				window.clearInterval(interval);
				// enable upload button
				this.enable();
				// add file to the list
				$('<li></li>').appendTo('#example2 .files').text(file);
			}
		});
	}); /*]]>*/</script>
<center>
<div>
    <asp:GridView ID="GridViewListNick" runat="server" AutoGenerateColumns="False" 
                 DataKeyNames="ContactID">
                <RowStyle HorizontalAlign="Center" />
                <Columns>
                    
                    <asp:TemplateField HeaderText="Tên">
                        <ItemTemplate>
                            <asp:Label ID="lbContactName" runat="server" Text='<%# Eval("ContactName") %>'></asp:Label>
                        </ItemTemplate>
                    </asp:TemplateField>
                    <asp:TemplateField HeaderText="Nick Yahoo">
                        <ItemTemplate>
                            <asp:Label ID="lbContactnick" runat="server" Text='<%# Eval("ContactNick") %>'></asp:Label>
                        </ItemTemplate>
                    </asp:TemplateField>
                    <asp:TemplateField>
                        <ItemTemplate>
                            <asp:LinkButton ID="btnEdit" runat="server" OnCommand="btnEdit_Command" Text="Sửa" CommandArgument='<%#Eval("ContactID") %>' CommandName="Edit" ></asp:LinkButton>
                        </ItemTemplate>
                    </asp:TemplateField>
                     
                </Columns>
            </asp:GridView>
</div>
<br />
Địa chỉ phòng ban liên hệ :
<br />
<asp:Button ID="btnAdd" runat="server" Text="Thêm phòng ban" CssClass="button2" />
<div>
    <asp:GridView ID="GridViewEmail" runat="server" AutoGenerateColumns="False" 
                 DataKeyNames="ContactID">
                <RowStyle HorizontalAlign="Center" />
                <Columns>
                    
                    <asp:TemplateField HeaderText="Phòng ban">
                        <ItemTemplate>
                            <asp:Label ID="lbContactName" runat="server" Text='<%# Eval("ContactName") %>'></asp:Label>
                        </ItemTemplate>
                    </asp:TemplateField>
                    <asp:TemplateField HeaderText="Địa chỉ Email">
                        <ItemTemplate>
                            <asp:Label ID="lbContactEmail" runat="server" Text='<%# Eval("ContactEmail") %>'></asp:Label>
                        </ItemTemplate>
                    </asp:TemplateField>
                    <asp:TemplateField>
                        <ItemTemplate>
                            <asp:LinkButton ID="btnChange" runat="server" OnCommand="btnChange_Command" Text="Sửa" CommandArgument='<%#Eval("ContactID") %>' CommandName="Change" ></asp:LinkButton>
                        </ItemTemplate>
                    </asp:TemplateField>
                     
                </Columns>
            </asp:GridView>
</div>
<br />
<div>
    Ảnh Check Email:<br />
    <asp:Image ID="imgEmail" runat="server" Width="110px" />
    <ul>
		<li id="example1" class="example">
			<div class="wrapper">
				<div id="button1" class="button" >Upload</div>
                <p>Uploaded files:</p>
				<ol class="files"></ol>										
			</div>									
		</li>
	</ul>
    <br />
    Ảnh Liên Hệ<br />
    <asp:Image ID="imgContact" runat="server" Width="110px" />
     <ul>
		<li id="example2" class="example">
			<div class="wrapper">
				<div id="button2" class="button" >Upload</div>
                <p>Files đính kèm:</p>
				<ol class="files"></ol>										
			</div>								
		</li>
	</ul>
</div>
<asp:Button ID="btnSave" runat="server" Text="Lưu" />
</center>