﻿/* http://keith-wood.name/datepick.html
   English UK localisation for jQuery Datepicker.
   Written by Stuart. */
/*(function ($) {
    $.datepick.regional['vi'] = {
        monthNames: ['Tháng Một', 'Tháng Hai', 'Tháng Ba', 'Tháng Tư', 'Tháng Năm', 'Tháng Sáu',
		'Tháng Bảy', 'Tháng Tám', 'Tháng Chín', 'Tháng Mười', 'Tháng Mười Một', 'Tháng Mười Hai'],
        monthNamesShort: ['Tháng 1', 'Tháng 2', 'Tháng 3', 'Tháng 4', 'Tháng 5', 'Tháng 6',
		'Tháng 7', 'Tháng 8', 'Tháng 9', 'Tháng 10', 'Tháng 11', 'Tháng 12'],
        dayNames: ['Chủ Nhật', 'Thứ Hai', 'Thứ Ba', 'Thứ Tư', 'Thứ Năm', 'Thứ Sáu', 'Thứ Bảy'],
        dayNamesShort: ['CN', 'T2', 'T3', 'T4', 'T5', 'T6', 'T7'],
        dayNamesMin: ['CN', 'T2', 'T3', 'T4', 'T5', 'T6', 'T7'],
        dateFormat: 'dd/mm/yyyy', firstDay: 0,
        renderer: $.datepick.defaultRenderer,
        prevText: '&#x3c;Trước', prevStatus: 'Tháng trước',
        prevJumpText: '&#x3c;&#x3c;', prevJumpStatus: 'Năm trước',
        nextText: 'Tiếp&#x3e;', nextStatus: 'Tháng sau',
        nextJumpText: '&#x3e;&#x3e;', nextJumpStatus: 'Năm sau',
        currentText: 'Hôm nay', currentStatus: 'Tháng hiện tại',
        todayText: 'Hôm nay', todayStatus: 'Tháng hiện tại',
        clearText: 'Xóa', clearStatus: 'Xóa ngày hiện tại',
        closeText: 'Đóng', closeStatus: 'Đóng và không lưu lại thay đổi',
        yearStatus: 'Năm khác', monthStatus: 'Tháng khác',
        weekText: 'Tu', weekStatus: 'Tuần trong năm',
        dayStatus: 'Đang chọn DD, \'ngày\' d M', defaultStatus: 'Chọn ngày',
        isRTL: false
    };
    $.datepick.setDefaults($.datepick.regional['vi']);
})(jQuery);
*/


(function ($) {
    $.datepick.regional['en-GB'] = {
        monthNames: ['January', 'February', 'March', 'April', 'May', 'June',
		'July', 'August', 'September', 'October', 'November', 'December'],
        monthNamesShort: ['Jan', 'Feb', 'Mar', 'Apr', 'May', 'Jun',
		'Jul', 'Aug', 'Sep', 'Oct', 'Nov', 'Dec'],
        dayNames: ['Sunday', 'Monday', 'Tuesday', 'Wednesday', 'Thursday', 'Friday', 'Saturday'],
        dayNamesShort: ['Sun', 'Mon', 'Tue', 'Wed', 'Thu', 'Fri', 'Sat'],
        dayNamesMin: ['Su', 'Mo', 'Tu', 'We', 'Th', 'Fr', 'Sa'],
        dateFormat: 'dd/mm/yyyy', firstDay: 1,
        renderer: $.datepick.defaultRenderer,
        prevText: 'Prev', prevStatus: 'Show the previous month',
        prevJumpText: '&#x3c;&#x3c;', prevJumpStatus: 'Show the previous year',
        nextText: 'Next', nextStatus: 'Show the next month',
        nextJumpText: '&#x3e;&#x3e;', nextJumpStatus: 'Show the next year',
        currentText: 'Current', currentStatus: 'Show the current month',
        todayText: 'Today', todayStatus: 'Show today\'s month',
        clearText: 'Clear', clearStatus: 'Erase the current date',
        closeText: 'Done', closeStatus: 'Close without change',
        yearStatus: 'Show a different year', monthStatus: 'Show a different month',
        weekText: 'Wk', weekStatus: 'Week of the year',
        dayStatus: 'Select DD, M d', defaultStatus: 'Select a date',
        isRTL: false
    };
    $.datepick.setDefaults($.datepick.regional['en-GB']);
})(jQuery);