﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Drawing;
using System.Drawing.Imaging;
using System.Drawing.Drawing2D;

namespace CompanyBussiness
{
    interface IImageThumbnail
    {
        Image ScaleByPercent(Image imgPhoto, int Percent);
        Image ConstrainProportions(Image imgPhoto, int Size, CompanyBussiness.ImageThumbnail.Dimensions Dimension);
        Image FixedSize(Image imgPhoto, int Width, int Height);
        Image Crop(Image imgPhoto, int Width, int Height, CompanyBussiness.ImageThumbnail.AnchorPosition Anchor);
        System.Drawing.Image ImagesCopyRight(System.Drawing.Image imgPhoto, string Copyright);
        System.Drawing.Image ImagesWatermark(System.Drawing.Image imgPhoto, System.Drawing.Image imgWatermark);
        System.Drawing.Image ImagesCopyrightAndWatermark(System.Drawing.Image imgPhoto, string Copyright, System.Drawing.Image imgWatermark);
    }
}
