﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace CompanyBussiness
{
    interface ILanguagesManagement
    {
        Language GetLanguageByID(int languagesID);
        Language GetLanguageByCode(string countryCode);
        List<Language> GetLanguageList(Boolean languageStatus);
        IQueryable GetLanguage(Boolean languageStatus);

        void CreateLanguage(string countryName, string countryCode, string countryDescription, string countryImg, Boolean languageStatus);
        void UpdateLanguage(int languagesID, string countryName, string countryCode, string countryDescription, string countryImg, Boolean languageStatus);
        void DeleteLanguage(int languagesID);

        TagTranslation GetTagByLanguageIDandTagName(string tagName, int languageID);
        string GetTagValueByLanguageIDandTagName(string tagName, int languageID);
    }
}
