﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace CompanyBussiness
{
    interface IServicesBasic
    {
        List<Intro> GetParentIntro(int languagesID, Boolean introStatus);
        List<Intro> GetChildrenIntroByParentID(int parentIntroID, int languagesID, Boolean introStatus, int StartRow);
        Intro GetIntroByID(int introID);
        List<Intro> GetIntroBySubject(string introSubject, int languagesID, Boolean introStatus, int StartRow);
        List<Intro> GetIntroByStatus(int languagesID, Boolean introStatus, int StartRow);

        void CreateIntro(int parentIntroID, string introSubject, string introContent, string introSource, string introAuthor, Boolean introStatus, int languagesID);
        void UpdateIntro(int introID, int parentIntroID, string introSubject, string introContent, string introSource, string introAuthor, Boolean introStatus, int languagesID);
        void DeleteIntro(int introID);


        Contact GetContactByID(int contactID);
        Contact GetContact(int languagesID, Boolean contactStatus);
        List<Contact> GetAllContact(int languagesID, Boolean contactStatus, int StartRow);

        void CreateContact(string contactName, string contactCell, string contactFax, string contactNick, string contactEmail, string contactCompany, string contactAddress, string contactWebSite, Boolean contactStatus, int languagesID);
        void UpdateContact(int contactID, string contactName, string contactCell, string contactFax, string contactNick, string contactEmail, string contactCompany, string contactAddress, string contactWebSite, Boolean contactStatus, int languagesID);
        void DeleteContact(int contactID);

 
    }
}
