﻿<%@ Control Language="C#" AutoEventWireup="true"  CodeBehind="cCategoryCreate.ascx.cs" Inherits="Website.admin.cCategoryCreate" %>
<%@ Register Assembly="FredCK.FCKeditorV2" Namespace="FredCK.FCKeditorV2" TagPrefix="FCKeditorV2" %>
<%@ Register Assembly="skmControls2" Namespace="skmControls2" TagPrefix="cc1" %>

<script src="js/ajaxupload.js" type="text/javascript"></script>

<script src="js/jquery-1.4.2.min.js" type="text/javascript"></script>

<script type="text/javascript">	/*<![CDATA[*/
	$(document).ready(function() {
		/* Example 1 */
		var button = $('#button1'), interval;
		new AjaxUpload(button, {
		action: 'UploadImagesAjax.aspx',
			name: 'myfile',
			onSubmit: function(file, ext) {
				// change button text, when user selects file
			button.text('Uploading');
				// If you want to allow uploading only 1 file at time,
				// you can disable upload button
				this.disable();
				// Uploding -> Uploading. -> Uploading...
				interval = window.setInterval(function() {
					var text = button.text();
					if (text.length < 13) {
						button.text(text + '.');
					} else {
						button.text('Uploading');
					}
				}, 200);
			},
			onComplete: function(file, response) {
			button.text('Upload');
			    
				window.clearInterval(interval);
				// enable upload button
				this.enable();
				// add file to the list
				$('<li></li>').appendTo('#example1 .files').text(file);
			}
		});
	}); /*]]>*/</script>



			
<div class="content-box">
    <div class="content-box-header">
					
		<h3><asp:Label ID="lbTypeAction" runat="server" ></asp:Label></h3>
		
		<div class="clear"></div>
		
	</div>
	<div class="content-box-content">
	<div class="clear"></div>
        <div class="notification success png_bg" id="success" runat="server" style="height:40px">
	        <a href="#" class="close"><img src="images/cross_grey_small.png" title="Close this notification" alt="close" /></a>
	        <div>		        
		        <asp:Label ID="lbSuccess" runat="server" ></asp:Label>
	        </div>
        </div>

        <div class="notification error png_bg" id="fail" runat="server" style="height:40px">
	        <a href="#" class="close"><img src="images/cross_grey_small.png" title="Close this notification" alt="close" /></a>
	        <div>
		        <asp:Label ID="lbError" runat="server" ></asp:Label>
	        </div>
        </div>
        <div class="clear"></div>
        <div>
            
                <table id="tblCategory" runat="server" width="100%">
                    <tr>
                        <td>
                            <asp:Label ID="lbCategoryName" runat="server" Text="Tên danh mục *: " Font-Bold="true"></asp:Label>                    
                        </td>
                        <td >
                            <asp:TextBox ID="txtCategoryName" CssClass="text-input" runat="server" Width="440px"  MaxLength="150" ></asp:TextBox>   
                        </td>               
                    </tr>
                    <tr id="trPic" runat="server">
                        <td>
                            <asp:Label ID="lbImages" runat="server" Text="Ảnh danh mục :" Font-Bold="true"></asp:Label>
                        </td>
                        <td >
                            <asp:Image ID="imgCategory" runat="server" ImageUrl="~/images/noPicture.png" Height="200px" Visible="false" />
                            <%--<asp:FileUpload ID="imgUpload" runat="server" />--%>
                            
                            
                            <ul>
								<li id="example1" class="example">
									<div class="wrapper">
										<div id="button1" class="button" >Upload</div>
                                        <p>Uploaded files:</p>
									    <ol class="files"></ol>										
									</div>
									
								</li>
							</ul>
							
                        </td>
                    </tr>
                    <tr id="trPicStatus" runat="server">
                        <td>
                            <asp:Label ID="Label1" runat="server" Text="Hiển thị ảnh danh mục :" Font-Bold="true"></asp:Label>
                        </td>
                        <td >
                            <asp:CheckBox ID="checkImgStatus" runat="server" Text="" Font-Bold="true" Checked="true" />
                        </td>
                    </tr>
                    <tr id="trIntro" runat="server">
                        <td>
                            <asp:Label ID="lbCategoryIntro" runat="server" Text="Lời giới thiệu :" Font-Bold="true"></asp:Label><asp:Label ID="lbConditions" runat="server" Text="(ít hơn 500 ký tự)"></asp:Label><br />
                            <cc1:TextBoxCounter ID="TextBoxCounterCategoryIntro" ForeColor="Red" runat="server" TextBoxControlId="txtCategoryIntro" />
                        </td>
                        <td > 
                            <asp:TextBox ID="txtCategoryIntro" runat="server" TextMode="MultiLine" Width="80%" Height="80px" Font-Size="Small" Font-Names="tahoma" MaxLength="500"></asp:TextBox><br />                                                 
                        </td>
                        
                    </tr>
                    
                    <tr>
                        <td>
                            <asp:Label ID="lbLanguages" runat="server" Text="Ngôn ngữ :" Font-Bold="true"></asp:Label>
                        </td>
                        <td >
                            <asp:DropDownList ID="dropLanguage" runat="server" Width="160px" 
                                DataTextField="countryName" DataValueField="LanguagesID" 
                                AutoPostBack="True" Enabled="False"></asp:DropDownList>
                        </td>
                    </tr>
                     <tr>
                        <td>
                            <asp:Label ID="lbCategoryStatus" runat="server" Text="Hiển thị danh mục :" Font-Bold="true"></asp:Label>
                        </td>
                        <td >
                            <asp:CheckBox ID="checkStatus" runat="server" Text="" Font-Bold="true" Checked="true" />
                        </td>
                    </tr>
                    
                    <tr>
                        <td>
                            <asp:Label ID="lbParentCategory" runat="server" Text="Danh mục cha :" Font-Bold="true"></asp:Label>
                        </td>
                        <td >
                            <asp:DropDownList ID="dropParentCategory" runat="server" Width="240px"></asp:DropDownList>
                        </td>
                    </tr>
                   
                    <tr id="trDes" runat="server">      
                         <td colspan="2" >
                            <asp:Label ID="lbCategoryDes" runat="server" Text="Mô tả :" Font-Bold="true"></asp:Label>
                        </td>
                    </tr>
                    <tr id="trDes2" runat="server">
                       
                        <td colspan="2" >
                            <FCKeditorV2:FCKeditor ID="txtCategoryDes" BasePath="~/fckeditor/" runat="server" Width="100%" Height="700px">
                            </FCKeditorV2:FCKeditor>
                        </td>
                    </tr>
                    <%--<tr>
						<td>
							<asp:Label ID="lbCapcha" runat="server" Text="Mã bảo vệ" Font-Bold="true"></asp:Label>
						</td>
						<td>
							<cc1:CaptchaControl ID="CaptchaControl1" runat="server" CaptchaFont="tahoma" CaptchaLength="5" CaptchaLineNoise="Low" LineColor="AliceBlue" BackColor="ControlDarkDark" FontColor="White" CaptchaBackgroundNoise="Low"  />
						</td>
                    </tr>--%>
                </table>
            
        </div>
        <div class="clear"></div>
        <div id="Divconditions" runat="server" >
                <br />
                <asp:Button ID="btnSave" CssClass="button" runat="server" Text=" Cập nhật " onclick="btnSave_Click" />
                <asp:Button ID="btnCancel" CssClass="button" runat="server" Text=" Hủy bỏ " onclick="btnCancel_Click" />
                <asp:Button ID="btnDelete" CssClass="button" runat="server" Text=" Xóa bỏ " onclick="btnDelete_Click" OnClientClick="return confirm('Bạn muốn xóa danh mục này(Tất cả các tin bài trong danh mục này sẽ bị xóa) ?');" />
        </div>
    </div>  
</div>