﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="cCreateNews.ascx.cs" Inherits="Website.admin.Control.cCreateNews" %>
<%@ Register Assembly="FredCK.FCKeditorV2" Namespace="FredCK.FCKeditorV2" TagPrefix="FCKeditorV2" %>
<%@ Register Assembly="skmControls2" Namespace="skmControls2" TagPrefix="cc1" %>

<script src="js/ajaxupload.js" type="text/javascript"></script>

<script src="js/jquery-1.4.2.min.js" type="text/javascript"></script>

<script type="text/javascript">	/*<![CDATA[*/
	$(document).ready(function() {
		/* Example 1 */
		var button = $('#button1'), interval;
		new AjaxUpload(button, {
		action: 'UploadImagesAjax.aspx',
			name: 'myfile',
			onSubmit: function(file, ext) {
				// change button text, when user selects file
			button.text('Uploading');
				// If you want to allow uploading only 1 file at time,
				// you can disable upload button
				this.disable();
				// Uploding -> Uploading. -> Uploading...
				interval = window.setInterval(function() {
					var text = button.text();
					if (text.length < 13) {
						button.text(text + '.');
					} else {
						button.text('Uploading');
					}
				}, 200);
			},
			onComplete: function(file, response) {
			button.text('Upload');
			    
				window.clearInterval(interval);
				// enable upload button
				this.enable();
				// add file to the list
				$('<li></li>').appendTo('#example1 .files').text(file);
			}
		});
	}); /*]]>*/</script>

    <script type="text/javascript">	/*<![CDATA[*/
	$(document).ready(function() {
		/* Example 1 */
		var button = $('#button2'), interval;
		new AjaxUpload(button, {
		action: 'UploadFile.aspx',
			name: 'myfile',
			onSubmit: function(file, ext) {
				// change button text, when user selects file
			button.text('Uploading');
				// If you want to allow uploading only 1 file at time,
				// you can disable upload button
				this.disable();
				// Uploding -> Uploading. -> Uploading...
				interval = window.setInterval(function() {
					var text = button.text();
					if (text.length < 13) {
						button.text(text + '.');
					} else {
						button.text('Uploading');
					}
				}, 200);
			},
			onComplete: function(file, response) {
			button.text('Upload');
			    
				window.clearInterval(interval);
				// enable upload button
				this.enable();
				// add file to the list
				$('<li></li>').appendTo('#example2 .files').text(file);
			}
		});
	}); /*]]>*/</script>

<div class="content-box">
    <div class="content-box-header">			
		<h3><asp:Label ID="lbTypeAction" runat="server" ></asp:Label></h3>
		<div class="clear"></div>	
	</div>
	<div class="content-box-content">
        <div class="left quickview" style="width:100%">
            <div class="notification success png_bg" id="success" runat="server" style="height:40px">
	            <a href="#" class="close"><img src="images/cross_grey_small.png" title="Close this notification" alt="close" /></a>
	            <div>		        
		            <asp:Label ID="lbSuccess" runat="server" ></asp:Label>
	            </div>
            </div>
            <div class="notification error png_bg" id="fail" runat="server" style="height:40px">
	            <a href="#" class="close"><img src="images/cross_grey_small.png" title="Close this notification" alt="close" /></a>
	            <div>
		            <asp:Label ID="lbError" runat="server" ></asp:Label>
	            </div>
            </div>
            <table id="tblCategory" runat="server" width="100%">
                <tr>
                    <td>
                        <asp:Label ID="lbNewsSubject" runat="server" Text="Tiêu đề *: " Font-Bold="true"></asp:Label>                    
                    </td>
                    <td colspan="3">
                        <asp:TextBox ID="txtNewsSubject" runat="server" Width="440px" CssClass="text-input" MaxLength="150" ></asp:TextBox>   
                    </td>                        
                </tr>
                <tr>
                    <td>
                        <asp:Label ID="lbImages" runat="server" Text="Ảnh đại diện :" Font-Bold="true"></asp:Label>
                    </td>  
                    <td colspan="3">
                        <asp:Image ID="imgNews" runat="server" Height="200px" BorderWidth="0" ImageUrl="~/images/noPicture.png" Visible="false" />
                        <ul>
							<li id="example1" class="example">
								<div class="wrapper">
									<div id="button1" class="button" >Upload</div>
                                    <p>Uploaded files:</p>
									<ol class="files"></ol>										
								</div>									
							</li>
						</ul>
                    </td>
                </tr>
                <tr>
                    <td>
                        <asp:Label ID="Label1" runat="server" Text="Hiển thị ảnh đại diện :" Font-Bold="true"></asp:Label>
                    </td>
                    <td >
                        <asp:CheckBox ID="checkImgStatus" runat="server" Text="" Font-Bold="true" Checked="true" />
                    </td>
                </tr>
                <tr>
                    <td>
                        <asp:Label ID="lbNewsIntro" runat="server" Text="Lời giới thiệu :" Font-Bold="true"></asp:Label><br />
                        <asp:Label ID="lbConditions" runat="server" Text="(ít hơn 500 ký tự)"></asp:Label>
                    </td>
                    <td colspan="3"> 
                        <asp:TextBox ID="txtNewsIntro" runat="server" TextMode="MultiLine" Width="80%" Height="100px" Font-Size="Small" Font-Names="tahoma" MaxLength="500"></asp:TextBox><br />                       
                        <cc1:TextBoxCounter ID="TextBoxCounterIntro" runat="server" ForeColor="Red" TextBoxControlId="txtNewsIntro" />                      
                    </td>                  
                </tr>
                <tr>
                    <td>
                        <asp:Label ID="lbNewsAuthor" runat="server" Text="Tác giả :" Font-Bold="true"></asp:Label>
                    </td>
                    <td colspan="3">
                       <asp:TextBox ID="txtNewsAuthor" CssClass="text-input" runat="server" MaxLength="50" Width="250px" ></asp:TextBox>
                    </td>
                </tr>
                 <tr>
                    <td>
                        <asp:Label ID="lbNewsStatus" runat="server" Text="Hiển thị :" Font-Bold="true"></asp:Label>
                    </td>
                    <td colspan="3">
                        <asp:CheckBox ID="checkStatus"  runat="server" Text="" Font-Bold="true" Checked="true" />
                    </td>
                </tr>
                <tr>
                    <td>
                        <asp:Label ID="lbParentCategory" runat="server" Text="Danh mục cha :" Font-Bold="true"></asp:Label>
                    </td>
                    <td >
                        <asp:DropDownList ID="dropParentCategory" runat="server" Width="180px" 
                            AutoPostBack="True" 
                            onselectedindexchanged="dropParentCategory_SelectedIndexChanged"></asp:DropDownList>
                    </td>
                    <td>
                        <asp:Label ID="lbCategory" runat="server" Text="Danh mục con:" Font-Bold="true"></asp:Label>
                    </td>
                    <td>
                        <asp:DropDownList ID="dropChildCategory" runat="server" Width="180px"></asp:DropDownList>
                    </td>
                </tr>
               
                <tr>      
                     <td colspan="4">
                        <asp:Label ID="lbNewsContent" runat="server" Text="Mô tả :" Font-Bold="true"></asp:Label>
                    </td>
                </tr>
                <tr>
                   
                    <td colspan="4">
                        <FCKeditorV2:FCKeditor ID="txtNewsContent" runat="server" BasePath="~/fckeditor/" Width="100%" Height="850px">
                        </FCKeditorV2:FCKeditor>                    
                    </td>
                </tr>
                <tr id="rowSrource" runat="server">
                    <td>
                        <asp:Label ID="lbNewsSource" runat="server" Text="Nguồn tin :" Font-Bold="true"></asp:Label>
                    </td>
                    <td colspan="4">
                        <asp:TextBox ID="txtNewsSource" CssClass="text-input" runat="server" Width="260px" MaxLength="150" ></asp:TextBox>
                    </td>
                </tr>
                <tr id="rowLinkSource" runat="server">
                    <td>
                        <asp:Label ID="lbNewsLink" runat="server" Text="Đường dẫn tin gốc :" Font-Bold="true"></asp:Label>    
                    </td>
                    <td colspan="4">
                        <asp:TextBox ID="txtNewsLink" CssClass="text-input" runat="server" Width="260px" MaxLength="150"></asp:TextBox>
                    </td>
                </tr>
                <tr>
                    <td>
                        <asp:Label ID="lbNewsDateCreate" runat="server" Text="Ngày đăng bài :" Font-Bold="true"></asp:Label>    
                    </td>
                    <td colspan="4">
                        <asp:TextBox ID="txtNewsDateCreate" CssClass="text-input"  runat="server" Width="160px" Enabled="false"></asp:TextBox>
                    </td>
                </tr>
                <tr>
                    <td>
                        <asp:Label ID="lbNewsDate" runat="server" Text="Cập nhật lần cuối :" Font-Bold="true"></asp:Label>
                    </td>
                    <td colspan="4">
                        <asp:TextBox ID="txtNewsDate" runat="server" CssClass="text-input" Width="160px" Enabled="false"></asp:TextBox>
                    </td>
                </tr>
                <tr>
                    <td>
                        <asp:Label ID="lbNewsAccess" runat="server" Text="Số lượt đọc tin :" Font-Bold="true"></asp:Label>    
                    </td>
                    <td colspan="4">
                        <asp:TextBox ID="txtNewsAccess" CssClass="text-input" runat="server" Width="160px" MaxLength="9"></asp:TextBox>
                    </td>
                </tr>
                <tr id="rowFileupload">
                    <td>
                        <asp:Label ID="lbfileAttach" runat="server" Text="File đính kèm :" Font-Bold="true"></asp:Label>
                    </td>
                    <td colspan="4">
                        <asp:HyperLink ID="linkFileAttach" runat="server"></asp:HyperLink>
                        <ul>
							<li id="example2" class="example">
								<div class="wrapper">
									<div id="button2" class="button" >Upload</div>
                                    <p>Files đính kèm:</p>
									<ol class="files"></ol>										
								</div>								
							</li>
						</ul>
                    </td>
                </tr>
            </table>
        </div>
  
        <div class="clear"></div>
        <div id="Divconditions" runat="server" >   
            <asp:Button ID="btnSave" CssClass="button" runat="server" Text=" Cập nhật " 
                onclick="btnSave_Click"  />
            <asp:Button ID="btnCancel" CssClass="button" runat="server" Text=" Hủy " 
                onclick="btnCancel_Click"  />
            <asp:Button ID="btnDelete" CssClass="button" runat="server" Text=" Xóa bỏ "  
                OnClientClick="return confirm('Bạn Muốn Xóa tin bài này ?');" 
                onclick="btnDelete_Click" />         
        </div>
	</div>  
</div>
