﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="cListNews.ascx.cs" Inherits="Website.admin.Control.cListNews" %>
<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="cc1" %>
<%@ Register assembly="BasicFrame.WebControls.BasicDatePicker" namespace="BasicFrame.WebControls" tagprefix="BDP" %>
<script type="text/javascript">
    function checkUncheckAll(theElement) {
        var theForm = theElement.form, z = 0;
        for (z = 0; z < theForm.length; z++) {
            if (theForm[z].type == 'checkbox' && theForm[z].name != 'ctl00_ContentPlaceHolderAdmin_ctl01_checkall') {
                theForm[z].checked = theElement.checked;
            }
        }
    }

</script>

<%--<script type="text/javascript" src="js/calendar_eu.js"></script>--%>

<div >
    <h3><asp:Label ID="lbTypeAction" runat="server" ></asp:Label> </h3>
    <asp:LinkButton ID="linkCategoryNews" runat="server" Text="Danh mục : " 
        onclick="linkCategoryNews_Click"></asp:LinkButton>
    <asp:Label ID="lbListName" runat="server" Font-Bold="true" Font-Size="Small" ForeColor="DarkBlue"></asp:Label>
        <div id="conditionsLeft" runat="server" >
            <table width="100%">
                <tr>
                    <td>
                        <asp:Label ID="lbSearch" runat="server" Text="Tiêu đề :"></asp:Label>
                    </td>
                    <td >
                        <asp:TextBox ID="txtSearch" CssClass="text-input" runat="server" Width="200px" MaxLength="150" ></asp:TextBox><br/>
                    </td>
                </tr>
                <tr>
                    <td>
                        <asp:Label ID="lbStatus" runat="server" Text="Trạng Thái :"></asp:Label>
                    </td>
                    <td>
                        <asp:DropDownList ID="dropStatus" runat="server" Width="120px" >
                            <asp:ListItem Text="Hiển thị" Value="true"></asp:ListItem>
                            <asp:ListItem Text="Không hiển thị" Value="false"></asp:ListItem>
                        </asp:DropDownList>
                    </td>
                </tr>
           </table>
           <table width="100%" id="tableNews" runat="server">
                <%--<tr>
                    <td colspan="2">
                        <asp:Label ID="lbDateCreate" runat="server" Text="Ngày đăng tin :"></asp:Label>
                    </td>
                </tr>
                <tr>
                    <td>
                        <asp:Label ID="lbSearchFromDate"  runat="server" Text="Từ :" ></asp:Label>
                    </td>
                    <td>
                        <asp:DropDownList runat="server" ID="ddlFromHour">
                        </asp:DropDownList>
                        &nbsp;h
                        <asp:DropDownList runat="server" ID="ddlFromMinute">
                        </asp:DropDownList>
                        &nbsp;p &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                        <BDP:BDPLite ID="bdFromDate" runat="server" DateFormat="d">
                        </BDP:BDPLite>
                    </td>
                                        
                </tr>
                <tr>
                    <td>
                        <asp:Label ID="lbSearchToDate" runat="server" Text="Tới :" ></asp:Label>
                    </td>
                    <td>
                        <asp:DropDownList runat="server" ID="ddlToHour">
                        </asp:DropDownList>
                        &nbsp;h
                        <asp:DropDownList runat="server" ID="ddlToMinute">
                        </asp:DropDownList>
                        &nbsp;p &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                        <BDP:BDPLite ID="bdToDate" runat="server" DateFormat="d">
                        </BDP:BDPLite>
                    </td>                    
                </tr>--%>
                
                <tr>
                    <td>
                        <asp:Label ID="lbAuthor" runat="server" Text="Tác giả :" ></asp:Label>
                    </td>
                    <td>
                        <asp:TextBox ID="txtAuthor" runat="server" CssClass="text-input" Width="140px" MaxLength="50" ></asp:TextBox>
                    </td>
                </tr>
            </table>
        </div>
        
    <div id="conditionsRight" runat="server"> 
        <asp:Button ID="btnSearch" runat="server" Text="Lọc tin bài" CssClass="button" onclick="btnSearch_Click" />          
        <asp:Button ID="btnSave" CssClass="button" runat="server" Text="Cập nhật" 
            onclick="btnSave_Click" OnClientClick="return confirm('Bạn Muốn cập nhật trạng thái cho các tin bài này ?');" />
        <asp:Button ID="btnCancel" CssClass="button" runat="server" Text="Hủy lựa chọn" 
            onclick="btnCancel_Click" />
    </div>
    <div class="clear"></div>

    
        <div style="clear:both;height:15px"></div>
        <div class="left quickview" style="width:100%">
             <div class="notification success png_bg" id="success" runat="server" style="height:40px">
                <a href="#" class="close"><img src="images/cross_grey_small.png" title="Close this notification" alt="close" /></a>
                <div>		        
	                <asp:Label ID="lbSuccess" runat="server" ></asp:Label>
                </div>
            </div>

            <div class="notification error png_bg" id="fail" runat="server" style="height:40px">
                <a href="#" class="close"><img src="images/cross_grey_small.png" title="Close this notification" alt="close" /></a>
                <div>
	                <asp:Label ID="lbError" runat="server" ></asp:Label>
                </div>
            </div>
            <asp:GridView ID="GridViewListNews" runat="server" AutoGenerateColumns="False" 
                 DataKeyNames="NewsID">
                <RowStyle HorizontalAlign="Center" />
                <Columns>
                    <asp:TemplateField HeaderText="Stt">
                        <ItemTemplate>
							<asp:Literal ID="litIndex" runat="server" Text='<%# (CurPage - 1) * GetRowinPage() + Container.DataItemIndex + 1 %>'></asp:Literal>
                        </ItemTemplate>
                        <ItemStyle HorizontalAlign="Center" Width="3%" />
                    </asp:TemplateField>
                    <asp:TemplateField HeaderText="Tiêu Đề">
                        <ItemTemplate>
                            <asp:Label ID="lbNewsSubject" runat="server" Text='<%# Eval("NewsSubject") %>'></asp:Label>
                        </ItemTemplate>
                    </asp:TemplateField>
                    <asp:TemplateField HeaderText="Ngày Đăng">
                        <ItemTemplate>
                            <asp:Label ID="lbNewsDateCreate" runat="server" Text='<%# Eval("NewsDateCreate","{0:dd/MM/yyyy}") %>'></asp:Label>
                        </ItemTemplate>
                    </asp:TemplateField>
                    <asp:TemplateField HeaderText="Ngày Cập Nhật">
                        <ItemTemplate>
                            <asp:Label ID="lbNewsDate" runat="server" Text='<%# Eval("NewsDate","{0:dd/MM/yyyy}") %>'></asp:Label>
                        </ItemTemplate>
                    </asp:TemplateField>
                    <asp:TemplateField HeaderText="Hiển Thị">
                        <HeaderTemplate>
                            <input type="checkbox" ID="checkall" runat="server" onclick="checkUncheckAll(this);" />Trạng thái
                        </HeaderTemplate>
                        <ItemTemplate>
                            <asp:CheckBox ID="checkStatus" runat="server" Checked='<%# Eval("NewsStatus") %>' />
                        </ItemTemplate>
                    </asp:TemplateField>
                    <asp:TemplateField>
                        <ItemTemplate>
                            <asp:LinkButton ID="btnEdit" runat="server" OnCommand="btnEdit_Command" Text="Sửa" CommandArgument='<%#Eval("NewsID") %>' CommandName="EditNews" ></asp:LinkButton>
                        </ItemTemplate>
                    </asp:TemplateField>
                     
                </Columns>
            </asp:GridView>
            <asp:Panel ID="pnPagination" runat="server">
            <div class="pagination" id="divpagination" runat="server">
		        Trang : <asp:DropDownList ID="dropChoicePage" runat="server" AutoPostBack="true" 
                    onselectedindexchanged="dropChoicePage_SelectedIndexChanged"  ></asp:DropDownList> &#8201;
                Bản ghi/ Trang :<asp:DropDownList ID="dropRows" runat="server" 
                    AutoPostBack="true" onselectedindexchanged="dropRows_SelectedIndexChanged">
                        <asp:ListItem Value="10" Text="10"></asp:ListItem>
                        <asp:ListItem Value="20" Text="20"></asp:ListItem>
                        <asp:ListItem Value="30" Text="30"></asp:ListItem>
                        <asp:ListItem Value="40" Text="40"></asp:ListItem>
                    </asp:DropDownList>    
                <asp:HyperLink ID="lnkFirst" runat="server" Text="Đầu"></asp:HyperLink>
		        <asp:HyperLink id="lnkPrev" runat="server" Text="&laquo;"></asp:HyperLink>
		        <asp:HyperLink id="numBefore" runat="server"></asp:HyperLink>               
                <asp:HyperLink id="numCurrent" runat="server"></asp:HyperLink>               
                <asp:HyperLink id="numAfter" runat="server"></asp:HyperLink>               
                <asp:HyperLink id="lnkNext" runat="server" Text="&raquo;"></asp:HyperLink>
                <asp:HyperLink ID="lnkLast" runat="server" Text="Cuối"></asp:HyperLink>
                <br /><br />
             </div>
             </asp:Panel>
        </div>
</div><!-- end #dashboard -->
