﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="cHome.ascx.cs" Inherits="Website.customer.Control.cHome" %>


<div id="topNews">
    <asp:Label ID="lbTopNews" runat="server" Text="TIN MỚI NHẤT" ForeColor="Red"></asp:Label>
    <br />
    <asp:DataList ID="dataListTopNews" runat="server" RepeatColumns="1" 
    Width="100%" onitemdatabound="dataListTopNews_ItemDataBound" >
        <ItemTemplate>
        <div style="width:100%">
                <div style="float:left">

                <asp:Image ID="imgNews" runat="server" ImageUrl='<%# Eval("NewsImage") %>' Width="160px" CssClass="imgList" CommandArgument='<%# Eval("NewsID") %>' CommandName="Detail" OnCommand="imgNews_Command" />
                                                        
                </div>
                <table>
		        <tr>
				    <td valign="top" width="100%" class="article_column">
                        <table class="contentpaneopen">
                            <tr>
                                <td class="contentheading" width="100%">
                                    <asp:LinkButton ID="LinkTitle" runat="server" Text='<%# Eval("NewsSubject") %>' OnCommand="LinkTitle_Command" CommandArgument='<%# Eval("NewsID") %>' CommandName="Detail"></asp:LinkButton>
                                </td>
                            </tr>
                        </table>
                        <table class="contentpaneopen">
                            <tr>
	                            <td valign="top" colspan="2" class="createdate">
                                    <asp:Literal ID="litDateCreate" runat="server" Text='<%# Eval("NewsDateCreate","{0:dd/MM/yyyy}") %>' ></asp:Literal>
                                </td>
                            </tr>
                            <tr>
                                <td valign="top" colspan="2">
                                    <asp:Literal ID="litIntro" runat="server" Text='<%# Eval("NewsIntro") %>'></asp:Literal>
                                </td>
                            </tr>
                            <tr>
	                            <td colspan="2"  class="modifydate">
                                    <asp:LinkButton ID="lnkDetailNews" runat="server" Text="Xem chi tiết..." OnCommand="lnkDetailNews_Command" CommandArgument='<%# Eval("NewsID") %>' CommandName="Detail"></asp:LinkButton>
                                </td>
                            </tr>
                        </table>
                                    
				    </td>
		        </tr>
		    </table>

            <span class="article_separator">&nbsp;</span>
            <div style="clear:both;height:10px;"> </div>
        </div>
        </ItemTemplate>
    </asp:DataList>
</div>

<div>
    <asp:Label ID="lbParentTypeProduct" runat="server" Text="SẢN PHẨM" ForeColor="Red"></asp:Label>
    <br />
    <asp:DataList ID="dataListParentTypeProduct" runat="server" Width="100%" 
        RepeatColumns="1" 
        onitemdatabound="dataListParentTypeProduct_ItemDataBound" 
        RepeatLayout="Flow" >

        <ItemTemplate>
            <center>
            <table width="100%" style="text-align:center;margin:10px">
		        <tr>
					<td valign="top"  class="article_column" align="center">
                        <center>
                        <asp:ImageButton ID="imgType" runat="server" ImageUrl='<%#Eval("TypeProductImg") %>' OnCommand="imgType_Command" CommandArgument='<%#Eval("TypeProductID") %>' CommandName="Detail" align="left" ToolTip='<%#Eval("TypeProductName") %>' Width="180px" CssClass="caption" />
                        </center>
                                    
                    </td>
		        </tr>
                <tr>
                    <td>
                            <table class="contentpaneopen">
                            <tr>
                                <td class="contentheading" >
                                    <asp:Literal ID="litNameParentTypeProduct" runat="server" Text='<%#Eval("TypeProductName") %>'></asp:Literal>
                                </td>
                            </tr>
                        </table>
                            <table class="contentpaneopen">
                            <tr>
	                            <td valign="top" colspan="2" class="createdate">
                                    <asp:LinkButton ID="lnkDetail" runat="server" Text="Xem chi tiết..."  OnCommand="lnkDetail_Command" CommandArgument='<%#Eval("TypeProductID") %>' CommandName="Detail"></asp:LinkButton>
                                </td>
                            </tr>
                            </table>
                    </td>
                               
                </tr>
		    </table>
            </center>
        </ItemTemplate>

    </asp:DataList>
</div>
