﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using CompanyBussiness;

namespace Website.customer.Control
{
    public partial class cMenuBottom : System.Web.UI.UserControl
    {
        LanguagesManagement languageMana = new LanguagesManagement();
        CompanyBussiness.Language language;
        CompanyBussiness.TagTranslation tag;

        protected void Page_Load(object sender, EventArgs e)
        {
            if (Request.Cookies[CONST.COOKIES_LANGUAGE] == null)
            {
                Session[CONST.SESSION_LANGUAGE] = "";
                language = languageMana.GetLanguageByCode("vi-VN");
            }
            else
            {
                Session[CONST.SESSION_LANGUAGE] = Request.Cookies[CONST.COOKIES_LANGUAGE][CONST.COOKIES_LANGUAGE_ID];
                language = languageMana.GetLanguageByID(int.Parse(Session[CONST.SESSION_LANGUAGE].ToString()));
            }
            lbsupport.Text = languageMana.GetTagValueByLanguageIDandTagName("lbsupport", language.LanguagesID);
        }

        protected void btnGmail_Click(object sender, ImageClickEventArgs e)
        {
            Response.Redirect("http://mail.hem.vn");
        }
    }
}